stages:
  - build
  - deploy

build:
  stage: build
  image: docker:19.03.13
  services:
    - name: docker:dind
  script:
    - docker -v
    - echo "$DOCKER_FRONT_IMAGE"
    - cd svadko_front && docker build -t $DOCKER_FRONT_IMAGE .
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker push $DOCKER_FRONT_IMAGE

deploy:
  stage: deploy
  before_script:
    - curl -O https://releases.hashicorp.com/nomad/1.7.2/nomad_1.7.2_linux_amd64.zip
    - unzip nomad_1.7.2_linux_amd64.zip
    - chmod +x nomad
    - mv nomad /usr/local/bin/
  script:
    - cd svadko_front && nomad job run -detach -var="docker_image=${DOCKER_FRONT_IMAGE}" -address=http://104.248.32.114:4646 nomad-job.hcl
